package com.oguerreiro.resilient.domain;

import java.util.Random;
import java.util.UUID;
import java.util.concurrent.atomic.AtomicInteger;
import java.util.concurrent.atomic.AtomicLong;

public class VariableCategoryTestSamples {

    private static final Random random = new Random();
    private static final AtomicLong longCount = new AtomicLong(random.nextInt() + (2 * Integer.MAX_VALUE));
    private static final AtomicInteger intCount = new AtomicInteger(random.nextInt() + (2 * Short.MAX_VALUE));

    public static VariableCategory getVariableCategorySample1() {
        return new VariableCategory().id(1L).code("code1").name("name1").description("description1").version(1);
    }

    public static VariableCategory getVariableCategorySample2() {
        return new VariableCategory().id(2L).code("code2").name("name2").description("description2").version(2);
    }

    public static VariableCategory getVariableCategoryRandomSampleGenerator() {
        return new VariableCategory()
            .id(longCount.incrementAndGet())
            .code(UUID.randomUUID().toString())
            .name(UUID.randomUUID().toString())
            .description(UUID.randomUUID().toString())
            .version(intCount.incrementAndGet());
    }
}
